Package Details: msp-flasher 1.03.20.00-2

Git Clone URL: https://aur.archlinux.org/msp-flasher.git (read-only, click to copy)
Package Base: msp-flasher
Description: Flasher for TI MSP430 processor
Upstream URL: http://www.ti.com/tool/msp430-flasher
Licenses: GPL
Submitter: ivanovp
Maintainer: ivanovp
Last Packager: ivanovp
Votes: 3
Popularity: 0.002734
First Submitted: 2015-10-18 09:12
Last Updated: 2021-03-20 12:25

Latest Comments

selcher commented on 2021-03-17 12:00

Validation does not work since the last update for 61-msp430uif.rules There seems to be something wrong with the SHA1 hashes

ivanovp commented on 2021-03-15 18:05

@Foaly: done, thanks for the info.

Foaly commented on 2021-03-15 16:10

After installing, I tried a dummy read on my MSP-FET. MSPFlasher asked me to update the FET firmware, which failed, as well as subsequent recovery attempts. After investigation, it turns out that the USB Product ID of my device is 0204, therefore I added

ATTRS{idVendor}=="2047",ATTRS{idProduct}=="0204",MODE="0666"

to 61-msp430uif.rules. This allowed MSPFlasher to successfully recover and update the firmware, and the tool now works correctly. Could you update the package? Thanks.

ivanovp commented on 2019-06-11 14:40

@VJSchneid: thanks, I copied your changes.

VJSchneid commented on 2019-06-08 16:08

I have updated this package to 1.3.20 and changed PKGBUILD to support the discrete x86_64 and i686 installer from TI. Merge from https://github.com/VJSchneid/aur-msp-flasher-bin.git would be appreciated.

cvcore commented on 2017-10-06 10:05

imho 32bit libs are no longer needed as TI now supports linux-x64 package.
Here's my 2cts to improve the PKGBUILD file: https://github.com/cvcore/aur-msp-flasher/commit/fec0021d845152fbafa8c4f31c8fec1345ed0e93

ivanovp commented on 2017-02-06 20:00

Manual download is not needed.

ivanovp commented on 2015-10-18 09:13

You have to manually download the installer from TI's page as direct link returns error 403!